Subject: bug#44675: guix lint: support for spellchecker or basic grammar

From: Efraim Flashner <[email-masked]>
Date: Sun, 25 Apr 2021 10:27:28 +0300

On Wed, Apr 21, 2021 at 04:10:40PM -0700, Vagrant Cascadian wrote:
> Control: tags 44675 +patch
> 
> On 2020-11-15, Vagrant Cascadian wrote:
> > Please consider a guix lint description/synopsis check for basic
> > spelling, typo and rudimentary grammar issues.
> ...
> > Many of these are likely to be caught by most spell checking routines;
> > I'm not sure if there is anything that would be implementable in pure
> > guile, or it if would make sense to call out to an external
> > spellchecker.
> >
> > Some of them might be harder, and obviously we do not want too many
> > false positives, but no need to get perfectionist on solving this; even
> > just checking for "This packages" would haved detected many of these
> > issues!
> 
> In the attached patch, I've implemented a simple lint check for "This
> packages", which has been fixed in ... 42 packages so far in the git
> repository, so maybe this could help catch future ones!
> 
> I haven't implemented a more complicated spellchecker or grammar checker
> or anything, but at least this is a start.
> 
> I think it is also within my skills to address "allows to" and "permits
> to", if I'm not heading down the wrong path here...
> 
> 
> live well,
>   vagrant

It might make more sense to name it something more like
'catch-common-typos' and to search for 'This packages', 'allows to',
'permits to', 'file-name' and then print out the different mistakes in
the description. Then we can add more as we find them, rather than one
check per mistake.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted